// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import {
	ApiAppClient
} from "./grpc/app_api_grpc_web_pb.js"
import nfc from './utils/ouu-nfc.js'

Vue.config.productionTip = false

App.mpType = 'app'

// 建立grpc连接服务 

// 测试版
// let client = new ApiAppClient("http://192.168.0.3:10000", null, null)
// let client = new ApiAppClient("http://t-otapi.beswell.com:10000", null, null)

// 正式版
let client = new ApiAppClient("http://otapi.beswell.com:10000", null, null)

// 挂载为全局方法 
Vue.prototype.$client = client
Vue.prototype.$nfc = nfc

nfc.listenNFCStatus();

const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
